package com.zm.order.tool.server.message;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * @Author chang.n
 * @ClassName SyncSubOrdersMessage
 * @Date 2020/4/24 11:39 AM
 */
public class SyncSubOrdersMessage implements Serializable {

    private static final long serialVersionUID = 7533193669200592408L;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 多人点餐特殊场景标记
     * 1：支付场景（付款用户不是下单用户并且没有参与点菜）
     */
    private Integer multiUserFlag;

    public Integer getMultiUserFlag() {
        return multiUserFlag;
    }

    public void setMultiUserFlag(Integer multiUserFlag) {
        this.multiUserFlag = multiUserFlag;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
